

image ChannelBlur(image input, float rblur = 0, float gblur = 0, float bblur = 0, float ablur = 0)
{

Alpha = Reorder(input, "aaaa");
Blue  = Reorder(input, "bbbb");
Green = Reorder(input, "gggg");
Red   = Reorder(input, "rrrr");

Blur1 = Blur(Red  , rblur, xPixels, 0, "gauss", xFilter, "rgba");
Blur2 = Blur(Green, gblur, xPixels, 0, "gauss", xFilter, "rgba");
Blur3 = Blur(Blue , bblur, xPixels, 0, "gauss", xFilter, "rgba");
Blur4 = Blur(Alpha, ablur, xPixels, 0, "gauss", xFilter, "rgba");

Copy1 = Copy(Blur1, Blur2, 1, "g");
Copy2 = Copy(Copy1, Blur3, 1, "b");
Copy3 = Copy(Copy2, Blur4, 1, "a");

return Copy3;
}